petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateRedundantMatrix

Create redundant matrices and put them into processors of subcommunicators.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateRedundantMatrix(Mat mat,PetscInt nsubcomm,MPI_Comm subcomm,MatReuse reuse,Mat *matredundant)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| nsubcomm | - the number of subcommunicators (= number of redundant parallel or sequential matrices) Many br
| subcomm | - MPI communicator split from the communicator where mat resides in (or MPI_COMM_NULL if nsubcomm is used) Many br
| reuse | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX Many br

### Output Parameter

matredundant -redundant matrix Many br

### Notes

MAT_REUSE_MATRIX can only be used when the nonzero structure of the Many broriginal matrix has not changed from that last call to MatCreateRedundantMatrix(). Many br

This routine creates the duplicated matrices in subcommunicators; you should NOT create them before Many brcalling it. Many br

Many br

### See Also

MatDestroy()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages